wolfssl: change defaults to cover wpa_supplicant needs
authorDaniel Golle <daniel@makrotopia.org>
Wed, 30 May 2018 22:34:15 +0000 (00:34 +0200)
committerJo-Philipp Wich <jo@mein.io>
Tue, 18 Dec 2018 07:13:22 +0000 (08:13 +0100)
Implicetely selecting the required options via Kconfig snippet from
hostapd worked fine in local builds when using menuconfig but confused
the buildbots which (in phase1) may build wpad-mini and hence already
come with CONFIG_WPA_WOLFSSL being defined as unset which then won't
trigger changing the defaults of wolfssl.

Work around by explicitely reflecting wpa_supplicant's needs in
wolfssl's default settings to make buildbots happy.

Signed-off-by: Daniel Golle <daniel@makrotopia.org>
(backported from dad39249fb91d6f320256ac12944863f09bb2dc9)

package/libs/wolfssl/Config.in
package/libs/wolfssl/Makefile

index 9b88914..50b0bb9 100644 (file)
@@ -2,11 +2,11 @@ if PACKAGE_libwolfssl
 
 config WOLFSSL_HAS_AES_CCM
        bool "Include AES-CCM support"
-       default n
+       default y
 
 config WOLFSSL_HAS_AES_GCM
        bool "Include AES-GCM support"
-       default n
+       default y
 
 config WOLFSSL_HAS_CHACHA
        bool "Include ChaCha cipher suite support"
@@ -18,23 +18,23 @@ config WOLFSSL_HAS_ECC
 
 config WOLFSSL_HAS_DH
        bool "Include DH (Diffie-Hellman) support"
-       default n
+       default y
 
 config WOLFSSL_HAS_ARC4
        bool "Include ARC4 support"
-       default n
+       default y
 
 config WOLFSSL_HAS_DES3
        bool "Include DES3 (Tripple-DES) support"
-       default n
+       default y
 
 config WOLFSSL_HAS_PSK
        bool "Include PKS (Pre Share Key) support"
-       default n
+       default y
 
 config WOLFSSL_HAS_SESSION_TICKET
        bool "Include session ticket support"
-       default n
+       default y
 
 config WOLFSSL_HAS_DTLS
        bool "Include DTLS support"
@@ -42,11 +42,11 @@ config WOLFSSL_HAS_DTLS
 
 config WOLFSSL_HAS_OCSP
        bool "Include OSCP support"
-       default n
+       default y
 
 config WOLFSSL_HAS_WPAS
        bool "Include wpa_supplicant support"
-       default n
+       default y
 
 config WOLFSSL_HAS_ECC25519
        bool "Include ECC Curve 22519 support"
index 8c0b861..e08b6f3 100644 (file)
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=wolfssl
 PKG_VERSION:=3.14.4
-PKG_RELEASE:=2
+PKG_RELEASE:=3
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).zip
 # PKG_SOURCE_URL:=https://www.wolfssl.com/